Page MenuHomePhabricator

Hide preference for 'Reload the watchlist automatically whenever a filter is changed' when New Filters are active
Closed, ResolvedPublic

Description

There is a Watchlist preference for "Reload the watchlist automatically whenever a filter is changed." This preference has no effect when the New Filters are active, since this is how the New Filters work anyway. So we should hide it when New Filters are active (either because the New Filters beta is selected or because we have graduated New Filters out of beta).

The preference should be stored behind the scenes and reinstated for the user if she de-activates New Filters again.

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 1 2018, 10:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Was this preference added recently? I don't remember seeing it before...

Change 421835 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Hide 'reload watchlist automatically' setting if RCFilters is enabled

https://gerrit.wikimedia.org/r/421835

Mooeypoo claimed this task.Mar 26 2018, 8:05 AM

I couldn't get the setting to remember its previous state, but the way I did it seems to be the way other conditional settings are displayed/hidden.

Change 421835 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Hide 'reload watchlist automatically' setting if RCFilters is enabled

https://gerrit.wikimedia.org/r/421835

Checked in betalabs - the option 'Reload the watchlist automatically whenever a filter is changed' will be hidden when the beta feature " New filters for edit review" is enabled.

QA recommendation: Resolve.

jmatazzoni closed this task as Resolved.Mar 27 2018, 3:38 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 14 2018, 1:15 AM